#### Color Swatch Editor

To help with color editing, the theme editor provides 
an area at the top of the window which can optionally contain one or more colors that are deemed to be important colors in the theme. These colors are saved as part of the theme file such that they will be displayed in the swatch area whenever the theme is viewed in the theme editor. Swatch colors can be used directly or indirectly in the color assignment of various UI elements. This means that all of these UI elements that are dependent on a swatch color will be changed whenever the swatch color is changed.

![](assets/Theme-Swatch-Panel.png "Theme Editor Swatch Panel")

Within the swatch editing area, each swatch is displayed by color and by color name. Within various theme editor menus, color swatches are only displayed by color name. The swatch area helps map the name to the color.

To add a swatch color simply click on the “+” button in the swatch area. This will display a color picker window. Select the desired color using this window and click the “OK” button to add the swatch color. Alternately, you can make any category color a swatch color by selecting the color row in the category table and click the “+” swatch button. This will also display the color picker window but the default color will match the selected color in the table, allowing you to save an exact color more quickly. You can add up to 8 swatch colors per theme.

To edit a swatch color, simply left-click on the swatch color. This will display a color picker window where the default color will be current swatch color. Choosing a different color and clicking the “OK” button will change the swatch color and any other theme colors that are dependent on the swatch color.

Finally, to delete an existing swatch color, right-click on the swatch color. A confirmation window will be displayed. Clicking the “Yes” button will confirm the deletion. If there were any colors that were dependent of the color, their colors will not be altered but they will no longer be dependent on the given swatch color.